Skip to main content
GET
/
threads
/
{threadId}
Retrieve Thread summary
curl --request GET \
  --url https://mosoo.ai/api/v1/threads/{threadId} \
  --header 'Authorization: Bearer <token>'
{
  "links": {
    "thread": "<string>"
  },
  "run": {
    "completedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "startedAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "thread": {
    "agent_id": "<string>",
    "attributed_user": {
      "id": "<string>"
    },
    "client_external_ref": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "created_by": {
      "id": "<string>"
    },
    "id": "<string>",
    "last_run_id": "<string>",
    "source": "<unknown>",
    "title": "<string>",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer grt_pat_... for Human PAT calls or an Organization Service token for machine calls.

Path Parameters

threadId
string
required

Thread ID returned by create thread.

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$

Response

Thread summary.

run
object
required
thread
object
required